#
# spec file for package perl-Text-Hunspell
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Hunspell
Version:        2.11
Release:        bp156.3.4
%define cpan_name Text-Hunspell
Summary:        Perl interface to the Hunspell library
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Hunspell/
Source0:        http://www.cpan.org/authors/id/C/CO/COSIMO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::PkgConfig)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gcc-c++
BuildRequires:  hunspell-devel
# MANUAL END

%description
This module provides a Perl interface to the *Hunspell* library. This
module is to meet the need of looking up many words, one at a time, in a
single session, such as spell-checking a document in memory.

The example code describes the interface on http://hunspell.sf.net

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples perlobject.map README

%changelog
* Wed May 13 2015 coolo@suse.com
- updated to 2.11
  see /usr/share/doc/packages/perl-Text-Hunspell/Changes
  2.11    2015/05/12 14:19:07 Europe/Oslo (cosimo)
    No functional changes, only minor cleanups and a fix for RT#99810
    (compilation on non-gcc based systems). Thanks to bjakubski for sending
    in patches on Github.
* Wed Apr 15 2015 coolo@suse.com
- updated to 2.10
  see /usr/share/doc/packages/perl-Text-Hunspell/Changes
  2.10    2015/03/26 11:24:00 Europe/Oslo (cosimo)
    Fixed GH#5 (http://github.com/cosimo/perl5-text-hunspell/issues/5).
    Should make Text::Hunspell installable without pain from CPAN and
    cpanminus clients. The problem was in the undeclared use of
    ExtUtils::PkgConfig, which needs to be known even before running
    the configure (Makefile.PL) step. Thanks to Pavel Shaydo for reporting
    the problem.
  2.09    2014/10/20 07:56:00 Europe/Oslo (cosimo)
    Fixed RT#99548, which should make it easier to install Text::Hunspell
    on most systems. Basically replace my broken way of checking for
    libhunspell by looking up pkgconfig using ExtUtils::PkgConfig.
    Thanks to David Gutteridge for teaching me how to do it!
- obsolete fix-makefile.diff
* Tue Jun  4 2013 coolo@suse.com
- updated to 2.08
    Improved main POD documentation for Hunspell.pm.
    Fixes RT#84964. Thanks to Paul Flo Williams for the patch.
    (https://github.com/cosimo/perl5-text-hunspell/pull/2)
    DEPRECATED the delete() method, and implemented proper
    object handles in the hunspell XS glue. Again, thanks to
    Paul Flo Williams for patch and test case. Closes RT#84054.
    Implemented new add_dic() function from hunspell API.
    Fixes RT#83765. Thanks to Paul Flo Williams for patch
    and test case.
    Fixed RT#79630 incorrect encoding of Hunspell.pm POD documentation.
    Thanks to Paul for the patch.
    Fixed t/02_pod.t test due to newest Test::Pod and
    missing =encoding directive. Thanks to SHLOMIF for
    the patch.
* Fri Apr  1 2011 coolo@novell.com
- initial package 2.02
  * created by cpanspec 1.78.03
